%define name	lxinput
%define version 0.3.5
%define release %mkrel 2

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	LXDE Keyboard Input
Summary(de):	LXDE Tastatur- und Maus- Konfiguration
Source0:	%{name}-%{version}.tar.xz
URL:            http://lxde.sourceforge.net/
Group:		Graphical desktop/LXDE
License:	GPL
BuildRoot:      %{_tmppath}/%{name}-%{version}
BuildRequires:	gtk2-devel
BuildRequires:	glib2-devel
BuildRequires:	libx11-devel
Requires:       glibc >= 2.12.1
Requires:       libstdc++6 >= 4.5.2

%description
LXDE Keyboard and mouse config

%description -l de
Tastatur, Maus und weitere angeschlossene Geräte unter LXDE konfigurieren.


%prep
%setup -q
rm -rf $RPM_BUILD_ROOT

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%{__make} %{?mflags_install} DESTDIR=$RPM_BUILD_ROOT install

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Type=Application
Name=LXKeyboard and Mouse
Name[fr]=LXClavier et Souris
Name[zh_TW]=鍵盤及滑鼠
Name[de]=LXTastatur und Maus
Icon=input-keyboard.png
Exec=lxinput
Comment=Configure keyboard, mouse, and other input devices
Comment[fr]=Configurer le clavier, la souris et d'autres périphériques
Comment[zh_TW]=設定鍵盤、滑鼠、及其他輸入裝置
Comment[de]=Konfigurieren von Tastatur, Maus und weiteren angeschlossenen Geräten
StartupNotify=true
Terminal=false
Categories=GTK;Settings;HardwareSettings;X-MandrivaLinux-System-Configuration-Hardware
OnlyShowIn=LXDE;
EOF


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%_bindir/lxinput
%_datadir/

%changelog
* Tue Apr 23 2019 tex - 0.3.5-2pclos2019
- rebuild against updates

* Thu Feb 25 2016 ghostbunny <ghostbunny at gmx dot de> 0.3.5-1pclos2016
- 0.3.5

* Tue Oct 21 2014 ghostbunny <ghostbunny at gmx dot de> 0.3.4-1pclos2014
- 0.3.4

* Tue Sep 16 2014 ghostbunny <ghostbunny at gmx dot de> 0.3.3-1pclos2014
- 0.3.3
- add missing BRs

* Tue May 22 2012 Neal <nealbrks0 at gmail dot com> 0.3.2-1pclos2012
- process

* Tue May 22 2012 ghostbunny <ghostbunny at gmx dot de> 0.3.2-1pclos2012
- 0.3.2

* Sat Jul 30 2011 leiche <meisssw01 at aol.com> 0.3.1-1leiche2011
- 0.3.1

* Sun Jun 26 2011 leiche <meisssw01 at aol.com> 0.3.0-2leiche2011
- add requires for new glibc
- add multiple languages in desktop file
- fix german synaptic description

* Wed Oct 06 2010 Texstar <texstar at gmail.com> 0.3.0-1pclos2010
- 0.3.0

* Sat Oct 03 2009 Neal <nealbrks0@gmail.com> 0.1.1-2pclos2010
- gcc update

* Thu Aug 04 2009 Anikan <mamifer0 at msn dot com> 0.1.1-1pclos2009
- new version

* Thu May 07 2009 Texstar <texstar@gmail.com> 0.1-1pclos2009
- create


